# MainManager
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.managers.main

## Class MainManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.managers.main.MainManager

    public class MainManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MainManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `loadAll()` Load all base vehicles from storage
`void` `loadAllFuels()` Load all fuel storage
`void` `loadAllOwnedVehicles()` Load all owned vehicles (Storage vehicles)
`void` `loadAllRims()` Load all rim designs
`void` `loadVehicles(org.bukkit.entity.Player player)` Load all vehicles into a players garage

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainManager

    public MainManager()

### Method Detail

#### loadAll

    public void loadAll()

Load all base vehicles from storage

#### loadAllRims

    public void loadAllRims()

Load all rim designs

#### loadAllFuels

    public void loadAllFuels()

Load all fuel storage

#### loadAllOwnedVehicles

    public void loadAllOwnedVehicles()

Load all owned vehicles (Storage vehicles)

#### loadVehicles

    public void loadVehicles(org.bukkit.entity.Player player)

Load all vehicles into a players garage

Parameters:
  `player` - the player to load for